Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class ResultFromJava

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.ResultFromJava

All Implemented Interfaces:
  Serializable

public class ResultFromJava
extends Object
implements Serializable

Used to serialize results for javaMessage

See Also:
  Serialized Form

Field Summary
`Object` | `exception` exception thrown directly by java.lang.reflect.Method#invoke().

Constructor Summary
`ResultFromJava(int t, Object r, Object e, Object[] a)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exception

    public Object exception

  exception thrown directly by java.lang.reflect.Method#invoke(). It may eventually encapsulate an exception thrown by the invoked method

  See Also:
    `Method.invoke(Object,Object[])`

Constructor Detail

### ResultFromJava

    public ResultFromJava(int t,
                          Object r,
                          Object e,
                          Object[] a)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD